Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1686157 - Random Computer Freeze Related to Intel i915 video card after update removed i915.enable_rc6=0 kernel param option
Summary: Random Computer Freeze Related to Intel i915 video card after update removed ...
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-drv-intel
Version: 7.6
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Adam Jackson
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-06 20:48 UTC by wss9062
Modified: 2019-03-14 16:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 105962 None None None 2019-03-06 20:48:19 UTC
Red Hat Bugzilla 1573482 None CLOSED i915.enable_rc6=0 is not respected in new kernels 2019-04-04 06:26:27 UTC

Description wss9062 2019-03-06 20:48:20 UTC
=============
 System Info
=============

System:    Kernel: 3.10.0-957.5.1.el7.x86_64 x86_64 bits: 64 
           Console: tty 0 Distro: CentOS Linux release 7.6.1810 (Core) 
Machine:   Mobo: Shuttle model: FH170 v: 1.0 serial: <root required> UEFI: American Megatrends 
           v: 2.04 date: 07/24/2017 
CPU:       Topology: Quad Core model: Intel Core i5-7600 bits: 64 type: MCP L2 cache: 6144 KiB 
           Speed: 3500 MHz min/max: 800/3500 MHz Core speeds (MHz): 1: 3500 2: 3500 3: 3500 
           4: 3500 
Graphics:  Device-1: Intel HD Graphics 630 driver: i915 v: kernel 
           Display: server: N/A driver: modesetting unloaded: fbdev,vesa tty: 100x32 
           Message: Advanced graphics data unavailable in console. Try -G --display 
Audio:     Device-1: Intel 100 Series/C230 Series Family HD Audio driver: snd_hda_intel 
           Sound Server: ALSA v: k3.10.0-957.5.1.el7.x86_64 
Network:   Device-1: Intel Ethernet I219-LM driver: e1000e 
           IF: enp0s31f6 state: up speed: 1000 Mbps duplex:
Drives:    Local Storage: total: 232.89 GiB used: 12.27 GiB (5.3%) 
           ID-1: /dev/sda vendor: Western Digital model: WDS250G1B0A-00H9H0 size: 232.89 GiB 
Partition: ID-1: / size: 49.09 GiB used: 7.62 GiB (15.5%) fs: ext4 dev: /dev/dm-0 
           ID-2: /boot size: 975.9 MiB used: 246.6 MiB (25.3%) fs: ext4 dev: /dev/sda2 
           ID-3: /home size: 98.31 GiB used: 4.33 GiB (4.4%) fs: ext4 dev: /dev/dm-2 
           ID-4: /tmp size: 29.40 GiB used: 71.0 MiB (0.2%) fs: ext4 dev: /dev/sda4 
           ID-5: swap-1 size: 7.75 GiB used: 0 KiB (0.0%) fs: swap dev: /dev/dm-1 
Sensors:   System Temperatures: cpu: 45.0 C mobo: 38.0 C 
           Fan Speeds (RPM): cpu: 1510 fan-3: 0 
Info:      Processes: 212 Uptime: 31m Memory: 7.68 GiB used: 2.33 GiB (30.3%) Init: systemd 
           runlevel: 5 Shell: bash inxi: 3.0.29 

=============
 Issue
=============

Before a yum update from which the developers, for whatever reason, decided to remove the i915.enable_rc6=0 kernel param, I had added that parameter in GRUB and all had been working fine for half a year. Then that parameter was no longer available and random freezes started to happen. 

There are plenty of people who have discussed the issue on various websites. Despite the people on kernel.org saying it was no longer needed, it kept my system from freezing by having it and now since I don't they do freeze twice a day. I am all for saving electricity where reliably possible, but having a stable system is more important especially in business environments. Not having the option has caused me to have a problem I can not solve.  I have tried other mentioned parameters without success.  I can't find the link at present but one person had compiled his own and removed that change and added the option back and resolved his similar issues.

How to reproduce
==================
Using similar hardware with i915, MATE Desktop, use Firefox and other applications for a day without this parameter and experience 1 or 2 random freezes per day.

Comment 2 wss9062 2019-03-06 20:53:48 UTC
The monitor was connected by a Display Port connection. Today I have changed that to an HDMI cable in case DP has any bearing on the issue.

Comment 3 wss9062 2019-03-14 16:01:56 UTC
(In reply to wss9062 from comment #2)
> The monitor was connected by a Display Port connection. Today I have changed
> that to an HDMI cable in case DP has any bearing on the issue.

As expected, changing to HDMI instead of DP didn't help. Since the user has 2 freezes per day in a business situation with customers, it is a real pain. It is one that was not an issue when I was ALLOWED to use the i915.enable_rc6=0 parameter. It completely eliminated the problem.  
I don't mind saving energy but not at the expense of having a stable PC. Please bring the option back.


Note You need to log in before you can comment on or make changes to this bug.